// Agent sample_agent in project planning_acting

/* Initial beliefs and rules */

field_bought.

/* Initial goals */

!house_built. 

/* Plans */

+!house_built : field_bought 
  <- 
    !prepare_site;
    !lay_floors;
    !build_walls;
    !build_roofs;
    !fit_windows;
    !fit_doors;
    !install_electrical_system;
    !install_plumbing;
    !paint_exterior;
    !paint_interior;
    .

+!prepare_site : true 
<- 
prepareSite;
.println("command prepare_site done.");
.

+!lay_floors : true 
<-
layFloors;
.println("command lay_floors done.");
.

+!build_walls : true 
<-
buildWalls;
.println("command build_walls done.");
.

+!build_roofs : true 
<-
buildRoof;
.println("command build_roofs done.");
.

+!fit_windows : true 
<-
fitWindows;
.println("command fit_windows done.");
.

+!fit_doors : true 
<-
fitDoors;
.println("command fit_doors done.");
.

+!install_electrical_system : true 
<-
installElectricalSystem;
.println("command install_electrical_system done.");
.

+!install_plumbing : true 
<-
installPlumbing;
.println("command install_plumbing done.");
.

+!paint_exterior : true 
<-
paintExterior;
.println("command paint_exterior done.");
.

+!paint_interior : true 
<-
paintInterior;
.println("command paint_interior done.");
.

{ include("$jacamoJar/templates/common-cartago.asl") }
{ include("$jacamoJar/templates/common-moise.asl") }

// uncomment the include below to have an agent compliant with its organisation
//{ include("$moiseJar/asl/org-obedient.asl") }
