// Agent sample_agent in project planning_acting

/* Initial beliefs and rules */

last_order_id(wood,1). // initial belief
last_order_id(concrete,1). // initial belief

/* Initial goals */


/* Plans */

+!deliver(Product)[source(Ag)] : last_order_id(Product,N)
  <- -last_order_id(Product,_);
     ?stock(Product,Answer);
     +last_order_id(Product,N+1);
  	  .print(Answer," for delivering ",Product, " to ", Ag);
     .send(Ag, tell, delivered(Product,Answer));
     .

+?stock(Product,Answer) : true <-
   .println("Do I have stock for ",Product,"? (answer(",Product,",ok) or answer(",Product,",nok))");
   .wait(answer(Product,Answer));
   -answer(Product,Answer);
   .



 
{ include("$jacamoJar/templates/common-cartago.asl") }
{ include("$jacamoJar/templates/common-moise.asl") }

// uncomment the include below to have an agent compliant with its organisation
//{ include("$moiseJar/asl/org-obedient.asl") }
